package com.sf.deploy.service.impl;

import java.util.List;
import com.sf.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sf.deploy.mapper.SysApkInfoMapper;
import com.sf.deploy.domain.SysApkInfo;
import com.sf.deploy.service.ISysApkInfoService;

/**
 * 安装包管理（新）Service业务层处理
 * 
 * @author ztzh
 * @date 2024-04-11
 */
@Service
public class SysApkInfoServiceImpl implements ISysApkInfoService 
{
    @Autowired
    private SysApkInfoMapper sysApkInfoMapper;

    /**
     * 查询安装包管理（新）
     * 
     * @param id 安装包管理（新）主键
     * @return 安装包管理（新）
     */
    @Override
    public SysApkInfo selectSysApkInfoById(Long id)
    {
        return sysApkInfoMapper.selectSysApkInfoById(id);
    }

    /**
     * 查询安装包管理（新）列表
     * 
     * @param sysApkInfo 安装包管理（新）
     * @return 安装包管理（新）
     */
    @Override
    public List<SysApkInfo> selectSysApkInfoList(SysApkInfo sysApkInfo)
    {
        return sysApkInfoMapper.selectSysApkInfoList(sysApkInfo);
    }

    /**
     * 新增安装包管理（新）
     * 
     * @param sysApkInfo 安装包管理（新）
     * @return 结果
     */
    @Override
    public int insertSysApkInfo(SysApkInfo sysApkInfo)
    {
        sysApkInfo.setCreateTime(DateUtils.getNowDate());
        return sysApkInfoMapper.insertSysApkInfo(sysApkInfo);
    }

    /**
     * 修改安装包管理（新）
     * 
     * @param sysApkInfo 安装包管理（新）
     * @return 结果
     */
    @Override
    public int updateSysApkInfo(SysApkInfo sysApkInfo)
    {
        sysApkInfo.setUpdateTime(DateUtils.getNowDate());
        return sysApkInfoMapper.updateSysApkInfo(sysApkInfo);
    }

    /**
     * 批量删除安装包管理（新）
     * 
     * @param ids 需要删除的安装包管理（新）主键
     * @return 结果
     */
    @Override
    public int deleteSysApkInfoByIds(Long[] ids)
    {
        return sysApkInfoMapper.deleteSysApkInfoByIds(ids);
    }

    /**
     * 删除安装包管理（新）信息
     * 
     * @param id 安装包管理（新）主键
     * @return 结果
     */
    @Override
    public int deleteSysApkInfoById(Long id)
    {
        return sysApkInfoMapper.deleteSysApkInfoById(id);
    }
}
